Scriptname REQ_ArrowWeight extends REQ_PlayerAlias  
{simulate weight for ammunition}

Ammo[] Property AmmoLight Auto
{list of all light arrows/bolts}
Ammo[] Property AmmoMedium Auto
{list of all medium arrows/bolts}
Ammo[] Property AmmoHeavy Auto
{list of all heavy arrows/bolts}
Ammo[] Property AmmoMassive Auto
{list of all massive arrows/bolts}
Ammo[] Property AmmoException Auto
{list of all weightless arrows/bolts}

Weapon[] Property Dummies  Auto  
{dummy items for light/medium/heavy/massive ammo objects}

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	Ammo added = akBaseItem as Ammo
	If (added != None)
		If ( AmmoLight.find(added) >= 0 )
			Player.Additem(Dummies[0], aiItemCount, true)
		ElseIf ( AmmoMedium.find(added) >= 0 )
			Player.Additem(Dummies[1], aiItemCount, true)
		ElseIf ( AmmoHeavy.find(added) >= 0 )
			Player.Additem(Dummies[2], aiItemCount, true)
		ElseIf ( AmmoMassive.find(added) >= 0 )
			Player.Additem(Dummies[3], aiItemCount, true)
		ElseIf ( AmmoException.find(added) < 0 )
			Player.Additem(Dummies[1], aiItemCount, true)
		EndIf
	EndIf
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	Ammo added = akBaseItem as Ammo
	If (added != None)
		If ( AmmoLight.find(added) >= 0 )
			Player.RemoveItem(Dummies[0], aiItemCount, true)
		ElseIf ( AmmoMedium.find(added) >= 0 )
			Player.RemoveItem(Dummies[1], aiItemCount, true)
		ElseIf ( AmmoHeavy.find(added) >= 0 )
			Player.RemoveItem(Dummies[2], aiItemCount, true)
		ElseIf ( AmmoMassive.find(added) >= 0 )
			Player.RemoveItem(Dummies[3], aiItemCount, true)
		ElseIf ( AmmoException.find(added) < 0 )
			Player.RemoveItem(Dummies[1], aiItemCount, true)
		EndIf
	EndIf
EndEvent

Event ScriptInit(string eventName, string strArg, float numArg, Form sender)
	Int count = 0
	Int[] Toadd = New Int[4]
	While ( count < 4 )
		toadd[count] = 0
		count += 1
	EndWhile
	Ammo object = None
	Player.RemoveItem(Dummies[0], Player.GetItemCount(Dummies[0]), true)
	Player.RemoveItem(Dummies[1], Player.GetItemCount(Dummies[1]), true)
	Player.RemoveItem(Dummies[2], Player.GetItemCount(Dummies[2]), true)
	Player.RemoveItem(Dummies[3], Player.GetItemCount(Dummies[3]), true)
	count = Player.GetNumItems()
	While ( count > 0 )
		count -= 1
		object = Player.GetNthForm(count) as Ammo
		If (object != None)
			If ( AmmoLight.find(object) >= 0 )
				Toadd[0] = Toadd[0] + Player.GetItemCount(object)
			ElseIf ( AmmoMedium.find(object) >= 0 )
				Toadd[1] = Toadd[1] + Player.GetItemCount(object)
			ElseIf ( AmmoHeavy.find(object) >= 0 )
				Toadd[2] = Toadd[2] + Player.GetItemCount(object)
			ElseIf ( AmmoMassive.find(object) >= 0 )
				Toadd[3] = Toadd[3] + Player.GetItemCount(object)
			ElseIf ( AmmoException.find(object) < 0 )
				Toadd[1] = Toadd[1] + Player.GetItemCount(object)
			EndIf
		EndIf
	EndWhile
	Player.Additem(Dummies[0], Toadd[0], true)
	Player.Additem(Dummies[1], Toadd[1], true)
	Player.Additem(Dummies[2], Toadd[2], true)
	Player.Additem(Dummies[3], Toadd[3], true)
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = False
EndEvent

Event ScriptShutDown(string eventName, string strArg, float numArg, Form sender)
	Player.RemoveItem(Dummies[0], Player.GetItemCount(Dummies[0]), true)
	Player.RemoveItem(Dummies[1], Player.GetItemCount(Dummies[1]), true)
	Player.RemoveItem(Dummies[2], Player.GetItemCount(Dummies[2]), true)
	Player.RemoveItem(Dummies[3], Player.GetItemCount(Dummies[3]), true)
	REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
	Int index = UpdateControl.Scripts.find(self)
	UpdateControl.ShutdownReady[index] = True
EndEvent
