scriptname REQ_MCM extends SKI_ConfigBase

REQ_MCM_DataStorage Property data Auto

State iHoursToRespawnCell
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingInt("iHoursToRespawnCell") / 24.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingInt("iHoursToRespawnCell") / 24.000000)
        SetSliderDialogRange(10.000000,365.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.iHoursToRespawnCell = (value * 24.000000) as Int
        Game.SetGameSettingInt("iHoursToRespawnCell",data.iHoursToRespawnCell)
        SetSliderOptionValueST(Game.GetGamesettingInt("iHoursToRespawnCell") / 24.000000,"$REQ_iHoursToRespawnCell_slider")
    EndEvent
    Event OnDefaultST()
        data.iHoursToRespawnCell = 720.000000 as Int
        Game.SetGameSettingInt("iHoursToRespawnCell",data.iHoursToRespawnCell)
        SetSliderOptionValueST(Game.GetGamesettingInt("iHoursToRespawnCell") / 24.000000, "$REQ_iHoursToRespawnCell_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_iHoursToRespawnCell_highlight")
    EndEvent
EndState

State REQ_Compatibility_Races
    Event OnSelectST()
        data.REQ_Internal_RaceWarnOverride.SetValueInt((!(data.REQ_Internal_RaceWarnOverride.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Internal_RaceWarnOverride.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Internal_RaceWarnOverride.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Internal_RaceWarnOverride.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_Compatibility_Races_highlight")
    EndEvent
EndState

State REQ_Atmosphere_GoldWeight
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.000000)
        SetSliderDialogRange(0.000000,0.050000)
        SetSliderDialogInterval(0.010000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.REQ_Atmosphere_GoldWeight.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.000000,"$REQ_REQ_Atmosphere_GoldWeight_slider")
        data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_GoldWeight.SetValue( 0.01)
        SetSliderOptionValueST(data.REQ_Atmosphere_GoldWeight.GetValue() / 1.000000, "$REQ_REQ_Atmosphere_GoldWeight_slider")
        data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_GoldWeight_highlight")
    EndEvent
EndState

State REQ_Combat_ArrowWeight
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Combat_ArrowWeight.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Combat_ArrowWeight.GetValue() / 1.000000)
        SetSliderDialogRange(0.000000,5.000000)
        SetSliderDialogInterval(0.100000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.REQ_Combat_ArrowWeight.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Combat_ArrowWeight.GetValue() / 1.000000,"$REQ_REQ_Combat_ArrowWeight_slider")
        data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_ArrowWeight.SetValue( 1.0)
        SetSliderOptionValueST(data.REQ_Combat_ArrowWeight.GetValue() / 1.000000, "$REQ_REQ_Combat_ArrowWeight_slider")
        data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_ArrowWeight_highlight")
    EndEvent
EndState

State iTrainingNumAllowedPerLevel
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingInt("iTrainingNumAllowedPerLevel") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingInt("iTrainingNumAllowedPerLevel") / 1.000000)
        SetSliderDialogRange(0.000000,20.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.iTrainingNumAllowedPerLevel = (value * 1.000000) as Int
        Game.SetGameSettingInt("iTrainingNumAllowedPerLevel",data.iTrainingNumAllowedPerLevel)
        SetSliderOptionValueST(Game.GetGamesettingInt("iTrainingNumAllowedPerLevel") / 1.000000,"$REQ_iTrainingNumAllowedPerLevel_slider")
    EndEvent
    Event OnDefaultST()
        data.iTrainingNumAllowedPerLevel = 5.000000 as Int
        Game.SetGameSettingInt("iTrainingNumAllowedPerLevel",data.iTrainingNumAllowedPerLevel)
        SetSliderOptionValueST(Game.GetGamesettingInt("iTrainingNumAllowedPerLevel") / 1.000000, "$REQ_iTrainingNumAllowedPerLevel_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_iTrainingNumAllowedPerLevel_highlight")
    EndEvent
EndState

State REQ_Skills_RateFactor
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Skills_RateFactor.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Skills_RateFactor.GetValue() / 1.000000)
        SetSliderDialogRange(50.000000,100.000000)
        SetSliderDialogInterval(25.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.REQ_Skills_RateFactor.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Skills_RateFactor.GetValue() / 1.000000,"$REQ_REQ_Skills_RateFactor_slider")
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_RateFactor.SetValue( 100.0)
        SetSliderOptionValueST(data.REQ_Skills_RateFactor.GetValue() / 1.000000, "$REQ_REQ_Skills_RateFactor_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_RateFactor_highlight")
    EndEvent
EndState

State REQ_Magic_PotionPowerFactor
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.000000)
        SetSliderDialogRange(33.300000,99.900000)
        SetSliderDialogInterval(33.300000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.REQ_Magic_PotionPowerFactor.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.000000,"$REQ_REQ_Magic_PotionPowerFactor_slider")
    EndEvent
    Event OnDefaultST()
        data.REQ_Magic_PotionPowerFactor.SetValue( 99.9)
        SetSliderOptionValueST(data.REQ_Magic_PotionPowerFactor.GetValue() / 1.000000, "$REQ_REQ_Magic_PotionPowerFactor_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_PotionPowerFactor_highlight")
    EndEvent
EndState

State REQ_Magic_EnchantmentPowerFactor
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.000000)
        SetSliderDialogRange(33.300000,99.900000)
        SetSliderDialogInterval(33.300000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.REQ_Magic_EnchantmentPowerFactor.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.000000,"$REQ_REQ_Magic_EnchantmentPowerFactor_slider")
    EndEvent
    Event OnDefaultST()
        data.REQ_Magic_EnchantmentPowerFactor.SetValue( 99.9)
        SetSliderOptionValueST(data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.000000, "$REQ_REQ_Magic_EnchantmentPowerFactor_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_EnchantmentPowerFactor_highlight")
    EndEvent
EndState

State iAVDhmsLevelUp
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingInt("iAVDhmsLevelUp") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingInt("iAVDhmsLevelUp") / 1.000000)
        SetSliderDialogRange(0.000000,10.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.iAVDhmsLevelUp = (value * 1.000000) as Int
        Game.SetGameSettingInt("iAVDhmsLevelUp",data.iAVDhmsLevelUp)
        SetSliderOptionValueST(Game.GetGamesettingInt("iAVDhmsLevelUp") / 1.000000,"$REQ_iAVDhmsLevelUp_slider")
    EndEvent
    Event OnDefaultST()
        data.iAVDhmsLevelUp = 5.000000 as Int
        Game.SetGameSettingInt("iAVDhmsLevelUp",data.iAVDhmsLevelUp)
        SetSliderOptionValueST(Game.GetGamesettingInt("iAVDhmsLevelUp") / 1.000000, "$REQ_iAVDhmsLevelUp_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_iAVDhmsLevelUp_highlight")
    EndEvent
EndState

State fLevelUpCarryWeightMod
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fLevelUpCarryWeightMod") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fLevelUpCarryWeightMod") / 1.000000)
        SetSliderDialogRange(0.000000,5.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fLevelUpCarryWeightMod = (value * 1.000000) as Float
        Game.SetGameSettingFloat("fLevelUpCarryWeightMod",data.fLevelUpCarryWeightMod)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fLevelUpCarryWeightMod") / 1.000000,"$REQ_fLevelUpCarryWeightMod_slider")
    EndEvent
    Event OnDefaultST()
        data.fLevelUpCarryWeightMod = 0.000000 as Float
        Game.SetGameSettingFloat("fLevelUpCarryWeightMod",data.fLevelUpCarryWeightMod)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fLevelUpCarryWeightMod") / 1.000000, "$REQ_fLevelUpCarryWeightMod_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fLevelUpCarryWeightMod_highlight")
    EndEvent
EndState

State fPlayerMaxResistance
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fPlayerMaxResistance") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fPlayerMaxResistance") / 1.000000)
        SetSliderDialogRange(50.000000,95.000000)
        SetSliderDialogInterval(5.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fPlayerMaxResistance = (value * 1.000000) as Float
        Game.SetGameSettingFloat("fPlayerMaxResistance",data.fPlayerMaxResistance)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerMaxResistance") / 1.000000,"$REQ_fPlayerMaxResistance_slider")
    EndEvent
    Event OnDefaultST()
        data.fPlayerMaxResistance = 90.000000 as Float
        Game.SetGameSettingFloat("fPlayerMaxResistance",data.fPlayerMaxResistance)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerMaxResistance") / 1.000000, "$REQ_fPlayerMaxResistance_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerMaxResistance_highlight")
    EndEvent
EndState

State fDamageWeaponMult
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fDamageWeaponMult") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fDamageWeaponMult") / 1.000000)
        SetSliderDialogRange(0.250000,2.000000)
        SetSliderDialogInterval(0.2500000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fDamageWeaponMult = (value * 1.000000) as Float
        Game.SetGameSettingFloat("fDamageWeaponMult",data.fDamageWeaponMult)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDamageWeaponMult") / 1.000000,"$REQ_fDamageWeaponMult_slider")
    EndEvent
    Event OnDefaultST()
        data.fDamageWeaponMult = 4.000000 as Float
        Game.SetGameSettingFloat("fDamageWeaponMult",data.fDamageWeaponMult)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDamageWeaponMult") / 1.000000, "$REQ_fDamageWeaponMult_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fDamageWeaponMult_highlight")
    EndEvent
EndState

State fJumpHeightMin
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fJumpHeightMin") / 0.760000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fJumpHeightMin") / 0.760000)
        SetSliderDialogRange(50.000000,300.000000)
        SetSliderDialogInterval(25.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fJumpHeightMin = (value * 0.760000) as Float
        Game.SetGameSettingFloat("fJumpHeightMin",data.fJumpHeightMin)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fJumpHeightMin") / 0.760000,"$REQ_fJumpHeightMin_slider")
    EndEvent
    Event OnDefaultST()
        data.fJumpHeightMin = 76.000000 as Float
        Game.SetGameSettingFloat("fJumpHeightMin",data.fJumpHeightMin)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fJumpHeightMin") / 0.760000, "$REQ_fJumpHeightMin_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fJumpHeightMin_highlight")
    EndEvent
EndState

State fBowNPCSpreadAngle
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fBowNPCSpreadAngle") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fBowNPCSpreadAngle") / 1.000000)
        SetSliderDialogRange(0.000000,10.000000)
        SetSliderDialogInterval(0.250000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fBowNPCSpreadAngle = (value * 1.000000) as Float
        Game.SetGameSettingFloat("fBowNPCSpreadAngle",data.fBowNPCSpreadAngle)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fBowNPCSpreadAngle") / 1.000000,"$REQ_fBowNPCSpreadAngle_slider")
    EndEvent
    Event OnDefaultST()
        data.fBowNPCSpreadAngle = 4.250000 as Float
        Game.SetGameSettingFloat("fBowNPCSpreadAngle",data.fBowNPCSpreadAngle)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fBowNPCSpreadAngle") / 1.000000, "$REQ_fBowNPCSpreadAngle_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fBowNPCSpreadAngle_highlight")
    EndEvent
EndState

State WIWaitDragon
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.WIWaitDragon.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.WIWaitDragon.GetValue() / 1.000000)
        SetSliderDialogRange(1.000000,28.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.WIWaitDragon.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.WIWaitDragon.GetValue() / 1.000000,"$REQ_WIWaitDragon_slider")
    EndEvent
    Event OnDefaultST()
        data.WIWaitDragon.SetValue( 12.0)
        SetSliderOptionValueST(data.WIWaitDragon.GetValue() / 1.000000, "$REQ_WIWaitDragon_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_WIWaitDragon_highlight")
    EndEvent
EndState

State TimeScale
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.TimeScale.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.TimeScale.GetValue() / 1.000000)
        SetSliderDialogRange(5.000000,30.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.TimeScale.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.TimeScale.GetValue() / 1.000000,"$REQ_TimeScale_slider")
    EndEvent
    Event OnDefaultST()
        data.TimeScale.SetValue( 10.0)
        SetSliderOptionValueST(data.TimeScale.GetValue() / 1.000000, "$REQ_TimeScale_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_TimeScale_highlight")
    EndEvent
EndState

State fDiffMultHPByPCL
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fDiffMultHPByPCL") / 0.010000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fDiffMultHPByPCL") / 0.010000)
        SetSliderDialogRange(10.000000,400.000000)
        SetSliderDialogInterval(5.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fDiffMultHPByPCL = (value * 0.010000) as Float
        Game.SetGameSettingFloat("fDiffMultHPByPCL",data.fDiffMultHPByPCL)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDiffMultHPByPCL") / 0.010000,"$REQ_fDiffMultHPByPCL_slider")
        Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    EndEvent
    Event OnDefaultST()
        data.fDiffMultHPByPCL = 1.000000 as Float
        Game.SetGameSettingFloat("fDiffMultHPByPCL",data.fDiffMultHPByPCL)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDiffMultHPByPCL") / 0.010000, "$REQ_fDiffMultHPByPCL_slider")
        Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fDiffMultHPByPCL_highlight")
    EndEvent
EndState

State fDiffMultHPToPCL
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fDiffMultHPToPCL") / 0.010000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fDiffMultHPToPCL") / 0.010000)
        SetSliderDialogRange(10.000000,400.000000)
        SetSliderDialogInterval(5.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fDiffMultHPToPCL = (value * 0.010000) as Float
        Game.SetGameSettingFloat("fDiffMultHPToPCL",data.fDiffMultHPToPCL)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDiffMultHPToPCL") / 0.010000,"$REQ_fDiffMultHPToPCL_slider")
        Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    EndEvent
    Event OnDefaultST()
        data.fDiffMultHPToPCL = 1.000000 as Float
        Game.SetGameSettingFloat("fDiffMultHPToPCL",data.fDiffMultHPToPCL)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fDiffMultHPToPCL") / 0.010000, "$REQ_fDiffMultHPToPCL_slider")
        Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fDiffMultHPToPCL_highlight")
    EndEvent
EndState

State REQ_Skills_CWModificator
    Event OnSliderOpenST()
        SetSliderDialogStartValue(data.REQ_Skills_CWModificator.GetValue() / 1.000000)
        SetSliderDialogDefaultValue(data.REQ_Skills_CWModificator.GetValue() / 1.000000)
        SetSliderDialogRange(-100.000000,1000.000000)
        SetSliderDialogInterval(5.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.player.ModAV("CarryWeight", -data.REQ_Skills_CWModificator.GetValue() )
        data.REQ_Skills_CWModificator.SetValue( value * 1.000000 )
        SetSliderOptionValueST(data.REQ_Skills_CWModificator.GetValue() / 1.000000,"$REQ_REQ_Skills_CWModificator_slider")
        data.player.ModAV("CarryWeight", data.REQ_Skills_CWModificator.GetValue() )
    EndEvent
    Event OnDefaultST()
        data.player.ModAV("CarryWeight", -data.REQ_Skills_CWModificator.GetValue() )
        data.REQ_Skills_CWModificator.SetValue( 0.0)
        SetSliderOptionValueST(data.REQ_Skills_CWModificator.GetValue() / 1.000000, "$REQ_REQ_Skills_CWModificator_slider")
        data.player.ModAV("CarryWeight", data.REQ_Skills_CWModificator.GetValue() )
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_CWModificator_highlight")
    EndEvent
EndState

State fPlayerDeathReloadTime
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fPlayerDeathReloadTime") / 1.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fPlayerDeathReloadTime") / 1.000000)
        SetSliderDialogRange(0.000000,10.000000)
        SetSliderDialogInterval(0.200000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fPlayerDeathReloadTime = (value * 1.000000) as Float
        Game.SetGameSettingFloat("fPlayerDeathReloadTime",data.fPlayerDeathReloadTime)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerDeathReloadTime") / 1.000000,"$REQ_fPlayerDeathReloadTime_slider")
    EndEvent
    Event OnDefaultST()
        data.fPlayerDeathReloadTime = 0.200000 as Float
        Game.SetGameSettingFloat("fPlayerDeathReloadTime",data.fPlayerDeathReloadTime)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerDeathReloadTime") / 1.000000, "$REQ_fPlayerDeathReloadTime_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerDeathReloadTime_highlight")
    EndEvent
EndState

State fPlayerHealthHeartbeatSlow
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingFloat("fPlayerHealthHeartbeatSlow") / 0.010000)
        SetSliderDialogDefaultValue(Game.GetGamesettingFloat("fPlayerHealthHeartbeatSlow") / 0.010000)
        SetSliderDialogRange(0.000000,75.000000)
        SetSliderDialogInterval(5.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.fPlayerHealthHeartbeatSlow = (value * 0.010000) as Float
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatSlow",data.fPlayerHealthHeartbeatSlow)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerHealthHeartbeatSlow") / 0.010000,"$REQ_fPlayerHealthHeartbeatSlow_slider")
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)
    EndEvent
    Event OnDefaultST()
        data.fPlayerHealthHeartbeatSlow = 0.500000 as Float
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatSlow",data.fPlayerHealthHeartbeatSlow)
        SetSliderOptionValueST(Game.GetGamesettingFloat("fPlayerHealthHeartbeatSlow") / 0.010000, "$REQ_fPlayerHealthHeartbeatSlow_slider")
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_fPlayerHealthHeartbeatSlow_highlight")
    EndEvent
EndState

State iHoursToRespawnCellCleared
    Event OnSliderOpenST()
        SetSliderDialogStartValue(Game.GetGamesettingInt("iHoursToRespawnCellCleared") / 24.000000)
        SetSliderDialogDefaultValue(Game.GetGamesettingInt("iHoursToRespawnCellCleared") / 24.000000)
        SetSliderDialogRange(10.000000,365.000000)
        SetSliderDialogInterval(1.000000)
    EndEvent
    Event OnSliderAcceptST(float value)
        data.iHoursToRespawnCellCleared = (value * 24.000000) as Int
        Game.SetGameSettingInt("iHoursToRespawnCellCleared",data.iHoursToRespawnCellCleared)
        SetSliderOptionValueST(Game.GetGamesettingInt("iHoursToRespawnCellCleared") / 24.000000,"$REQ_iHoursToRespawnCellCleared_slider")
    EndEvent
    Event OnDefaultST()
        data.iHoursToRespawnCellCleared = 7200.000000 as Int
        Game.SetGameSettingInt("iHoursToRespawnCellCleared",data.iHoursToRespawnCellCleared)
        SetSliderOptionValueST(Game.GetGamesettingInt("iHoursToRespawnCellCleared") / 24.000000, "$REQ_iHoursToRespawnCellCleared_slider")
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_iHoursToRespawnCellCleared_highlight")
    EndEvent
EndState

State REQ_Skills_NoHeavyArmorExhaustion
    Event OnSelectST()
        data.REQ_Skills_NoHeavyArmorExhaustion.SetValueInt((!(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_NoHeavyArmorExhaustion.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoHeavyArmorExhaustion_highlight")
    EndEvent
EndState

State REQ_Skills_CrossbowBoltsCraftable
    Event OnSelectST()
        data.REQ_Skills_CrossbowBoltsCraftable.SetValueInt((!(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_CrossbowBoltsCraftable.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_CrossbowBoltsCraftable_highlight")
    EndEvent
EndState

State REQ_Atmosphere_VampireRandomCarnage
    Event OnSelectST()
        data.REQ_Atmosphere_VampireRandomCarnage.SetValueInt((!(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_VampireRandomCarnage.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_VampireRandomCarnage_highlight")
    EndEvent
EndState

State REQ_Skills_EasyLockpicking
    Event OnSelectST()
        data.REQ_Skills_EasyLockpicking.SetValueInt((!(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_EasyLockpicking.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_EasyLockpicking_highlight")
    EndEvent
EndState

State REQ_Skills_NoRacialSkillRate
    Event OnSelectST()
        data.REQ_Skills_NoRacialSkillRate.SetValueInt((!(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_NoRacialSkillRate.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoRacialSkillRate_highlight")
    EndEvent
EndState

State REQ_Skills_NoSmithingBooks
    Event OnSelectST()
        data.REQ_Skills_NoSmithingBooks.SetValueInt((!(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_NoSmithingBooks.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_NoSmithingBooks_highlight")
    EndEvent
EndState

State REQ_Magic_SoulGemRechargeForAll
    Event OnSelectST()
        data.REQ_Magic_SoulGemRechargeForAll.SetValueInt((!(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Magic_SoulGemRechargeForAll.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_SoulGemRechargeForAll_highlight")
    EndEvent
EndState

State REQ_Combat_BetterArchery
    Event OnSelectST()
        data.REQ_Combat_BetterArchery.SetValueInt((!(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_BetterArchery.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_BetterArchery_highlight")
    EndEvent
EndState

State REQ_Skills_FollowerCarryBonus
    Event OnSelectST()
        data.REQ_Skills_FollowerCarryBonus.SetValueInt((!(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_FollowerCarryBonus.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_FollowerCarryBonus_highlight")
    EndEvent
EndState

State REQ_Combat_UnbreakableBows
    Event OnSelectST()
        data.REQ_Combat_UnbreakableBows.SetValueInt((!(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_UnbreakableBows.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_UnbreakableBows_highlight")
    EndEvent
EndState

State REQ_Combat_EssentialAgain
    Event OnSelectST()
        data.REQ_Combat_EssentialAgain.SetValueInt((!(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_EssentialAgain.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_EssentialAgain_highlight")
    EndEvent
EndState

State REQ_Combat_NoExhaustionSlowdown
    Event OnSelectST()
        data.REQ_Combat_NoExhaustionSlowdown.SetValueInt((!(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoExhaustionSlowdown.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoExhaustionSlowdown_highlight")
    EndEvent
EndState

State REQ_Atmosphere_NoPoisonISM
    Event OnSelectST()
        data.REQ_Atmosphere_NoPoisonISM.SetValueInt((!(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_NoPoisonISM.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_NoPoisonISM_highlight")
    EndEvent
EndState

State REQ_Atmosphere_MeridiaLikesVampires
    Event OnSelectST()
        data.REQ_Atmosphere_MeridiaLikesVampires.SetValueInt((!(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_MeridiaLikesVampires.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_MeridiaLikesVampires_highlight")
    EndEvent
EndState

State REQ_Skills_ShoutExperience
    Event OnSelectST()
        data.REQ_Skills_ShoutExperience.SetValueInt((!(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_ShoutExperience.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_ShoutExperience_highlight")
    EndEvent
EndState

State REQ_Combat_NoParalyticAnimalPoison
    Event OnSelectST()
        data.REQ_Combat_NoParalyticAnimalPoison.SetValueInt((!(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoParalyticAnimalPoison.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoParalyticAnimalPoison_highlight")
    EndEvent
EndState

State REQ_Skills_HideClutterRecipes
    Event OnSelectST()
        data.REQ_Skills_HideClutterRecipes.SetValueInt((!(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_HideClutterRecipes.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_HideClutterRecipes_highlight")
    EndEvent
EndState

State REQ_Atmosphere_SlowerHorses
    Event OnSelectST()
        data.REQ_Atmosphere_SlowerHorses.SetValueInt((!(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_SlowerHorses.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_SlowerHorses_highlight")
    EndEvent
EndState

State REQ_Combat_ArmorCombatSwitch
    Event OnSelectST()
        data.REQ_Combat_ArmorCombatSwitch.SetValueInt((!(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_ArmorCombatSwitch.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_ArmorCombatSwitch_highlight")
    EndEvent
EndState

State REQ_Debug_ArmorTraining
    Event OnSelectST()
        data.REQ_Debug_ArmorTraining.SetValueInt((!(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Debug_ArmorTraining.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Debug_ArmorTraining_highlight")
    EndEvent
EndState

State REQ_Debug_OnHit
    Event OnSelectST()
        data.REQ_Debug_OnHit.SetValueInt((!(data.REQ_Debug_OnHit.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Debug_OnHit.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Debug_OnHit.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Debug_OnHit.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Debug_OnHit_highlight")
    EndEvent
EndState

State REQ_Combat_NoOnHitDisarm
    Event OnSelectST()
        data.REQ_Combat_NoOnHitDisarm.SetValueInt((!(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoOnHitDisarm.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoOnHitDisarm_highlight")
    EndEvent
EndState

State REQ_Combat_NoHorseTrample
    Event OnSelectST()
        data.REQ_Combat_NoHorseTrample.SetValueInt((!(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoHorseTrample.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoHorseTrample_highlight")
    EndEvent
EndState

State REQ_Atmosphere_AllowFastTravel
    Event OnSelectST()
        data.REQ_Atmosphere_AllowFastTravel.SetValueInt((!(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
        Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_AllowFastTravel.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
        Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_AllowFastTravel_highlight")
    EndEvent
EndState

State REQ_Skills_PickpocketEasier
    Event OnSelectST()
        data.REQ_Skills_PickpocketEasier.SetValueInt((!(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Skills_PickpocketEasier.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Skills_PickpocketEasier_highlight")
    EndEvent
EndState

State REQ_Combat_NoDragonFear
    Event OnSelectST()
        data.REQ_Combat_NoDragonFear.SetValueInt((!(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoDragonFear.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoDragonFear_highlight")
    EndEvent
EndState

State REQ_Combat_NoFearAndYield
    Event OnSelectST()
        data.REQ_Combat_NoFearAndYield.SetValueInt((!(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Combat_NoFearAndYield.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Combat_NoFearAndYield_highlight")
    EndEvent
EndState

State REQ_Compability_AttackSpeed
    Event OnSelectST()
        data.REQ_Compability_AttackSpeed.SetValueInt((!(data.REQ_Compability_AttackSpeed.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Compability_AttackSpeed.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Compability_AttackSpeed.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Compability_AttackSpeed.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Compability_AttackSpeed_highlight")
    EndEvent
EndState

State REQ_Magic_NoArmorSpellCostPenalty
    Event OnSelectST()
        data.REQ_Magic_NoArmorSpellCostPenalty.SetValueInt((!(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Magic_NoArmorSpellCostPenalty.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Magic_NoArmorSpellCostPenalty_highlight")
    EndEvent
EndState

State REQ_Atmosphere_NoRunningExhaustion
    Event OnSelectST()
        data.REQ_Atmosphere_NoRunningExhaustion.SetValueInt((!(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)) as Int )
        SetToggleOptionValueST(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
    EndEvent
    Event OnDefaultST()
        data.REQ_Atmosphere_NoRunningExhaustion.SetValueInt( 0.0 as Int)
        SetToggleOptionValueST(data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
    EndEvent
    Event OnHighlightST()
        SetInfoText("$REQ_REQ_Atmosphere_NoRunningExhaustion_highlight")
    EndEvent
EndState



Event OnPageReset(String page)
    UnloadCustomContent()
    If page == ""
        If pages.length > 0
            LoadCustomContent("Requiem\\MCM_background.dds", 56, 23)
        Else
            LoadCustomContent("Requiem\\MCM_background_warning.dds", 56, 23)
        Endif
    ElseIf page == "$REQ_cat_0"
        AddToggleOptionST("REQ_Combat_NoParalyticAnimalPoison","$REQ_REQ_Combat_NoParalyticAnimalPoison",data.REQ_Combat_NoParalyticAnimalPoison.GetValueInt() as Bool)
        AddSliderOptionST("fBowNPCSpreadAngle","$REQ_fBowNPCSpreadAngle",(data.fBowNPCSpreadAngle / 1.000000) as Float , "$REQ_fBowNPCSpreadAngle_slider" )
        AddToggleOptionST("REQ_Combat_ArmorCombatSwitch","$REQ_REQ_Combat_ArmorCombatSwitch",data.REQ_Combat_ArmorCombatSwitch.GetValueInt() as Bool)
        AddSliderOptionST("REQ_Combat_ArrowWeight","$REQ_REQ_Combat_ArrowWeight",data.REQ_Combat_ArrowWeight.GetValue() / 1.000000 , "$REQ_REQ_Combat_ArrowWeight_slider" )
        AddToggleOptionST("REQ_Combat_BetterArchery","$REQ_REQ_Combat_BetterArchery",data.REQ_Combat_BetterArchery.GetValueInt() as Bool)
        AddSliderOptionST("fPlayerDeathReloadTime","$REQ_fPlayerDeathReloadTime",(data.fPlayerDeathReloadTime / 1.000000) as Float , "$REQ_fPlayerDeathReloadTime_slider" )
        AddSliderOptionST("fDiffMultHPByPCL","$REQ_fDiffMultHPByPCL",(data.fDiffMultHPByPCL / 0.010000) as Float , "$REQ_fDiffMultHPByPCL_slider" )
        AddSliderOptionST("fDiffMultHPToPCL","$REQ_fDiffMultHPToPCL",(data.fDiffMultHPToPCL / 0.010000) as Float , "$REQ_fDiffMultHPToPCL_slider" )
        AddToggleOptionST("REQ_Combat_NoDragonFear","$REQ_REQ_Combat_NoDragonFear",data.REQ_Combat_NoDragonFear.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_EssentialAgain","$REQ_REQ_Combat_EssentialAgain",data.REQ_Combat_EssentialAgain.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoExhaustionSlowdown","$REQ_REQ_Combat_NoExhaustionSlowdown",data.REQ_Combat_NoExhaustionSlowdown.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoOnHitDisarm","$REQ_REQ_Combat_NoOnHitDisarm",data.REQ_Combat_NoOnHitDisarm.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoFearAndYield","$REQ_REQ_Combat_NoFearAndYield",data.REQ_Combat_NoFearAndYield.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_NoHeavyArmorExhaustion","$REQ_REQ_Skills_NoHeavyArmorExhaustion",data.REQ_Skills_NoHeavyArmorExhaustion.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Combat_NoHorseTrample","$REQ_REQ_Combat_NoHorseTrample",data.REQ_Combat_NoHorseTrample.GetValueInt() as Bool)
        AddSliderOptionST("fPlayerMaxResistance","$REQ_fPlayerMaxResistance",(data.fPlayerMaxResistance / 1.000000) as Float , "$REQ_fPlayerMaxResistance_slider" )
        AddToggleOptionST("REQ_Combat_UnbreakableBows","$REQ_REQ_Combat_UnbreakableBows",data.REQ_Combat_UnbreakableBows.GetValueInt() as Bool)
        AddSliderOptionST("fDamageWeaponMult","$REQ_fDamageWeaponMult",(data.fDamageWeaponMult / 1.000000) as Float , "$REQ_fDamageWeaponMult_slider" )
    ElseIf page == "$REQ_cat_1"
        AddToggleOptionST("REQ_Magic_NoArmorSpellCostPenalty","$REQ_REQ_Magic_NoArmorSpellCostPenalty",data.REQ_Magic_NoArmorSpellCostPenalty.GetValueInt() as Bool)
        AddSliderOptionST("REQ_Magic_EnchantmentPowerFactor","$REQ_REQ_Magic_EnchantmentPowerFactor",data.REQ_Magic_EnchantmentPowerFactor.GetValue() / 1.000000 , "$REQ_REQ_Magic_EnchantmentPowerFactor_slider" )
        AddToggleOptionST("REQ_Magic_SoulGemRechargeForAll","$REQ_REQ_Magic_SoulGemRechargeForAll",data.REQ_Magic_SoulGemRechargeForAll.GetValueInt() as Bool)
        AddSliderOptionST("REQ_Magic_PotionPowerFactor","$REQ_REQ_Magic_PotionPowerFactor",data.REQ_Magic_PotionPowerFactor.GetValue() / 1.000000 , "$REQ_REQ_Magic_PotionPowerFactor_slider" )
    ElseIf page == "$REQ_cat_2"
        AddSliderOptionST("iAVDhmsLevelUp","$REQ_iAVDhmsLevelUp",(data.iAVDhmsLevelUp / 1.000000) as Int , "$REQ_iAVDhmsLevelUp_slider" )
        AddSliderOptionST("fLevelUpCarryWeightMod","$REQ_fLevelUpCarryWeightMod",(data.fLevelUpCarryWeightMod / 1.000000) as Float , "$REQ_fLevelUpCarryWeightMod_slider" )
        AddSliderOptionST("REQ_Skills_CWModificator","$REQ_REQ_Skills_CWModificator",data.REQ_Skills_CWModificator.GetValue() / 1.000000 , "$REQ_REQ_Skills_CWModificator_slider" )
        AddToggleOptionST("REQ_Skills_CrossbowBoltsCraftable","$REQ_REQ_Skills_CrossbowBoltsCraftable",data.REQ_Skills_CrossbowBoltsCraftable.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_FollowerCarryBonus","$REQ_REQ_Skills_FollowerCarryBonus",data.REQ_Skills_FollowerCarryBonus.GetValueInt() as Bool)
        AddSliderOptionST("fJumpHeightMin","$REQ_fJumpHeightMin",(data.fJumpHeightMin / 0.760000) as Float , "$REQ_fJumpHeightMin_slider" )
        AddToggleOptionST("REQ_Skills_EasyLockpicking","$REQ_REQ_Skills_EasyLockpicking",data.REQ_Skills_EasyLockpicking.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_PickpocketEasier","$REQ_REQ_Skills_PickpocketEasier",data.REQ_Skills_PickpocketEasier.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_NoRacialSkillRate","$REQ_REQ_Skills_NoRacialSkillRate",data.REQ_Skills_NoRacialSkillRate.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_HideClutterRecipes","$REQ_REQ_Skills_HideClutterRecipes",data.REQ_Skills_HideClutterRecipes.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Skills_ShoutExperience","$REQ_REQ_Skills_ShoutExperience",data.REQ_Skills_ShoutExperience.GetValueInt() as Bool)
        AddSliderOptionST("REQ_Skills_RateFactor","$REQ_REQ_Skills_RateFactor",data.REQ_Skills_RateFactor.GetValue() / 1.000000 , "$REQ_REQ_Skills_RateFactor_slider" )
        AddToggleOptionST("REQ_Skills_NoSmithingBooks","$REQ_REQ_Skills_NoSmithingBooks",data.REQ_Skills_NoSmithingBooks.GetValueInt() as Bool)
        AddSliderOptionST("iTrainingNumAllowedPerLevel","$REQ_iTrainingNumAllowedPerLevel",(data.iTrainingNumAllowedPerLevel / 1.000000) as Int , "$REQ_iTrainingNumAllowedPerLevel_slider" )
    ElseIf page == "$REQ_cat_3"
        AddSliderOptionST("iHoursToRespawnCell","$REQ_iHoursToRespawnCell",(data.iHoursToRespawnCell / 24.000000) as Int , "$REQ_iHoursToRespawnCell_slider" )
        AddSliderOptionST("iHoursToRespawnCellCleared","$REQ_iHoursToRespawnCellCleared",(data.iHoursToRespawnCellCleared / 24.000000) as Int , "$REQ_iHoursToRespawnCellCleared_slider" )
        AddSliderOptionST("WIWaitDragon","$REQ_WIWaitDragon",data.WIWaitDragon.GetValue() / 1.000000 , "$REQ_WIWaitDragon_slider" )
        AddToggleOptionST("REQ_Atmosphere_AllowFastTravel","$REQ_REQ_Atmosphere_AllowFastTravel",data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)
        AddSliderOptionST("REQ_Atmosphere_GoldWeight","$REQ_REQ_Atmosphere_GoldWeight",data.REQ_Atmosphere_GoldWeight.GetValue() / 1.000000 , "$REQ_REQ_Atmosphere_GoldWeight_slider" )
        AddSliderOptionST("fPlayerHealthHeartbeatSlow","$REQ_fPlayerHealthHeartbeatSlow",(data.fPlayerHealthHeartbeatSlow / 0.010000) as Float , "$REQ_fPlayerHealthHeartbeatSlow_slider" )
        AddToggleOptionST("REQ_Atmosphere_MeridiaLikesVampires","$REQ_REQ_Atmosphere_MeridiaLikesVampires",data.REQ_Atmosphere_MeridiaLikesVampires.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_NoPoisonISM","$REQ_REQ_Atmosphere_NoPoisonISM",data.REQ_Atmosphere_NoPoisonISM.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_NoRunningExhaustion","$REQ_REQ_Atmosphere_NoRunningExhaustion",data.REQ_Atmosphere_NoRunningExhaustion.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Atmosphere_SlowerHorses","$REQ_REQ_Atmosphere_SlowerHorses",data.REQ_Atmosphere_SlowerHorses.GetValueInt() as Bool)
        AddSliderOptionST("TimeScale","$REQ_TimeScale",data.TimeScale.GetValue() / 1.000000 , "$REQ_TimeScale_slider" )
        AddToggleOptionST("REQ_Atmosphere_VampireRandomCarnage","$REQ_REQ_Atmosphere_VampireRandomCarnage",data.REQ_Atmosphere_VampireRandomCarnage.GetValueInt() as Bool)
    ElseIf page == "$REQ_cat_4"
        AddToggleOptionST("REQ_Debug_ArmorTraining","$REQ_REQ_Debug_ArmorTraining",data.REQ_Debug_ArmorTraining.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Compability_AttackSpeed","$REQ_REQ_Compability_AttackSpeed",data.REQ_Compability_AttackSpeed.GetValueInt() as Bool)
        AddToggleOptionST("REQ_Debug_OnHit","$REQ_REQ_Debug_OnHit",data.REQ_Debug_OnHit.GetValueInt() as Bool)
		AddToggleOptionST("REQ_Compatibility_Races","$REQ_Compatibility_Races",data.REQ_Internal_RaceWarnOverride.GetValueInt() as Bool)
    EndIf
EndEvent
