Scriptname REQ_MCM_DataStorage extends REQ_PlayerAlias
{A storage script containing all the settings adjusted by the player.}

REQ_MCM Property mcm Auto

Int Property iHoursToRespawnCell = 720 Auto

GlobalVariable Property REQ_Atmosphere_GoldWeight Auto
MiscObject Property Gold001 Auto

GlobalVariable Property REQ_Combat_ArrowWeight Auto
WEAPON Property REQ_ArrowWeightDummy_light Auto
WEAPON Property REQ_ArrowWeightDummy_medium Auto
WEAPON Property REQ_ArrowWeightDummy_heavy Auto
WEAPON Property REQ_ArrowWeightDummy_massive Auto

Int Property iTrainingNumAllowedPerLevel = 5 Auto

GlobalVariable Property REQ_Skills_RateFactor Auto

GlobalVariable Property REQ_Magic_PotionPowerFactor Auto

GlobalVariable Property REQ_Magic_EnchantmentPowerFactor Auto

Int Property iAVDhmsLevelUp = 5 Auto

Float Property fLevelUpCarryWeightMod = 0.0 Auto

Float Property fPlayerMaxResistance = 90.0 Auto

Float Property fDamageWeaponMult = 4.0 Auto

Float Property fJumpHeightMin = 76.0 Auto

Float Property fBowNPCSpreadAngle = 4.25 Auto

GlobalVariable Property WIWaitDragon Auto

GlobalVariable Property TimeScale Auto

Float Property fDiffMultHPByPCL = 1.0 Auto

Float Property fDiffMultHPToPCL = 1.0 Auto

GlobalVariable Property REQ_Skills_CWModificator Auto

Float Property fPlayerDeathReloadTime = 0.2 Auto

Float Property fPlayerHealthHeartbeatSlow = 0.5 Auto

Int Property iHoursToRespawnCellCleared = 7200 Auto

GlobalVariable Property REQ_Skills_NoHeavyArmorExhaustion Auto

GlobalVariable Property REQ_Skills_CrossbowBoltsCraftable Auto

GlobalVariable Property REQ_Atmosphere_VampireRandomCarnage Auto

GlobalVariable Property REQ_Skills_EasyLockpicking Auto

GlobalVariable Property REQ_Skills_NoRacialSkillRate Auto

GlobalVariable Property REQ_Skills_NoSmithingBooks Auto

GlobalVariable Property REQ_Magic_SoulGemRechargeForAll Auto

GlobalVariable Property REQ_Combat_BetterArchery Auto

GlobalVariable Property REQ_Skills_FollowerCarryBonus Auto

GlobalVariable Property REQ_Combat_UnbreakableBows Auto

GlobalVariable Property REQ_Combat_EssentialAgain Auto

GlobalVariable Property REQ_Combat_NoExhaustionSlowdown Auto

GlobalVariable Property REQ_Atmosphere_NoPoisonISM Auto

GlobalVariable Property REQ_Atmosphere_MeridiaLikesVampires Auto

GlobalVariable Property REQ_Skills_ShoutExperience Auto

GlobalVariable Property REQ_Combat_NoParalyticAnimalPoison Auto

GlobalVariable Property REQ_Skills_HideClutterRecipes Auto

GlobalVariable Property REQ_Atmosphere_SlowerHorses Auto

GlobalVariable Property REQ_Combat_ArmorCombatSwitch Auto

GlobalVariable Property REQ_Debug_ArmorTraining Auto

GlobalVariable Property REQ_Debug_OnHit Auto

GlobalVariable Property REQ_Combat_NoOnHitDisarm Auto

GlobalVariable Property REQ_Combat_NoHorseTrample Auto

GlobalVariable Property REQ_Atmosphere_AllowFastTravel Auto

GlobalVariable Property REQ_Skills_PickpocketEasier Auto

GlobalVariable Property REQ_Combat_NoDragonFear Auto

GlobalVariable Property REQ_Combat_NoFearAndYield Auto

GlobalVariable Property REQ_Compability_AttackSpeed Auto

GlobalVariable Property REQ_Magic_NoArmorSpellCostPenalty Auto

GlobalVariable Property REQ_Atmosphere_NoRunningExhaustion Auto

GlobalVariable Property REQ_Internal_RaceWarnOverride Auto

Event ScriptInit(string eventName, string strArg, float numArg, Form sender)
    String[] pages = new String[5]
    pages[0] = "$REQ_cat_0"
    pages[1] = "$REQ_cat_1"
    pages[2] = "$REQ_cat_2"
    pages[3] = "$REQ_cat_3"
    pages[4] = "$REQ_cat_4"
    mcm.pages = pages
	If mcm.modname != "Requiem" && mcm.modname != "$REQ_modname"
		return
	EndIf
    mcm.modname = "$REQ_modname"
    LoadInitValues()
    REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
    Int index = UpdateControl.Scripts.find(self)
    UpdateControl.ShutdownReady[index] = False
    EndEvent

Event ScriptShutDown(string eventName, string strArg, float numArg, Form sender)
    UpdateValues()
    REQ_AutoUpdater UpdateControl = GetOwningQuest().GetAlias(0) as REQ_AutoUpdater
    Int index = UpdateControl.Scripts.find(self)
    UpdateControl.ShutdownReady[index] = True
EndEvent

Event OnPlayerLoadGame()
    UpdateValues()
EndEvent

Function UpdateValues()
    REQ_MCM_DataStorage data = Self    
        Game.SetGameSettingInt("iHoursToRespawnCell",iHoursToRespawnCell)    
        data.Gold001.SetWeight(data.REQ_Atmosphere_GoldWeight.GetValue())    
        data.REQ_ArrowWeightDummy_light.SetWeight(0.1 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_medium.SetWeight(0.2 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_heavy.SetWeight(0.3 * data.REQ_Combat_ArrowWeight.GetValue())
        data.REQ_ArrowWeightDummy_massive.SetWeight(0.5 * data.REQ_Combat_ArrowWeight.GetValue())    
        Game.SetGameSettingInt("iTrainingNumAllowedPerLevel",iTrainingNumAllowedPerLevel)                
        Game.SetGameSettingInt("iAVDhmsLevelUp",iAVDhmsLevelUp)    
        Game.SetGameSettingFloat("fLevelUpCarryWeightMod",fLevelUpCarryWeightMod)    
        Game.SetGameSettingFloat("fPlayerMaxResistance",fPlayerMaxResistance)    
        Game.SetGameSettingFloat("fDamageWeaponMult",fDamageWeaponMult)    
        Game.SetGameSettingFloat("fJumpHeightMin",fJumpHeightMin)    
        Game.SetGameSettingFloat("fBowNPCSpreadAngle",fBowNPCSpreadAngle)            
        Game.SetGameSettingFloat("fDiffMultHPByPCL",fDiffMultHPByPCL)
        Game.SetGameSettingFloat("fDiffMultHPByPCVE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCE", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCN", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))
        Game.SetGameSettingFloat("fDiffMultHPByPCVH", Game.GetGameSettingFloat("fDiffMultHPByPCL"))    
        Game.SetGameSettingFloat("fDiffMultHPToPCL",fDiffMultHPToPCL)
        Game.SetGameSettingFloat("fDiffMultHPToPCVE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCE", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCN", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))
        Game.SetGameSettingFloat("fDiffMultHPToPCVH", Game.GetGameSettingFloat("fDiffMultHPToPCL"))    
        Game.SetGameSettingFloat("fPlayerDeathReloadTime",fPlayerDeathReloadTime)    
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatSlow",fPlayerHealthHeartbeatSlow)
        Game.SetGameSettingFloat("fPlayerHealthHeartbeatFast",Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow") / 2.0)    
        Game.SetGameSettingInt("iHoursToRespawnCellCleared",iHoursToRespawnCellCleared)                                                                                                
        Game.EnableFastTravel(data.REQ_Atmosphere_AllowFastTravel.GetValueInt() as Bool)                        
EndFunction

Function LoadInitValues()
    REQ_MCM_DataStorage data = Self    
        data.iHoursToRespawnCell = Game.GetGameSettingInt("iHoursToRespawnCell")    
        data.iTrainingNumAllowedPerLevel = Game.GetGameSettingInt("iTrainingNumAllowedPerLevel")    
        data.iAVDhmsLevelUp = Game.GetGameSettingInt("iAVDhmsLevelUp")    
        data.fLevelUpCarryWeightMod = Game.GetGameSettingFloat("fLevelUpCarryWeightMod")    
        data.fPlayerMaxResistance = Game.GetGameSettingFloat("fPlayerMaxResistance")    
        data.fDamageWeaponMult = Game.GetGameSettingFloat("fDamageWeaponMult")    
        data.fJumpHeightMin = Game.GetGameSettingFloat("fJumpHeightMin")    
        data.fBowNPCSpreadAngle = Game.GetGameSettingFloat("fBowNPCSpreadAngle")    
        data.fDiffMultHPByPCL = Game.GetGameSettingFloat("fDiffMultHPByPCL")    
        data.fDiffMultHPToPCL = Game.GetGameSettingFloat("fDiffMultHPToPCL")    
        data.fPlayerDeathReloadTime = Game.GetGameSettingFloat("fPlayerDeathReloadTime")    
        data.fPlayerHealthHeartbeatSlow = Game.GetGameSettingFloat("fPlayerHealthHeartbeatSlow")    
        data.iHoursToRespawnCellCleared = Game.GetGameSettingInt("iHoursToRespawnCellCleared")
EndFunction
