Scriptname REQ_MassEffectField extends ActiveMagicEffect
{LEGAGY Script DO NOT USE! This script dynamically adds armor-dependent mass bonuses to all humanoid NPCs}

REQ_PassiveArmorTraining Property Data Auto
GlobalVariable Property Versioninstalled Auto
GlobalVariable Property Version Auto
Int ScriptVersion = 17300

Float massmod = 0.0
Float penalty = 0.0
Actor npc
Bool working = False
Bool shutdown = False
; Bool xtme_init = True

Float ratio_light = 1.0
Float ratio_heavy = 1.0
Float ratio_onehanded = 1.0
Float ratio_twohanded = 1.0
Float ratio_archery = 1.0

State inactive
	Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	EndEvent

	Event OnObjectUnEquipped(Form akBaseObject, ObjectReference akReference)
	EndEvent
	
	Event Onload()
		Debug.Trace("How lame! He finally got a loaded 3D!" + npc)
		GoToState("StartEvaluation")
	EndEvent
EndState

Event OnEffectStart(actor Target, actor Caster)
	npc = Target
	If !npc.Is3DLoaded()
		Debug.Trace("EPIC! We found an actor without 3D loaded, but mass effect started, sending him to sleep!" + npc)
		GotoState("inactive")
		return
	EndIf
	While (Version.GetValueInt() != VersionInstalled.GetValueInt() )
		Utility.Wait(0.5)
	EndWhile
	Scriptversion = VersionInstalled.GetValueInt()
	GoToState("StartEvaluation")
EndEvent

Event OnCellAttach()
	If (ScriptVersion < Version.GetValueInt())
		shutdown = True
		While (Version.GetValueInt() != VersionInstalled.GetValueInt() )
			Utility.Wait(0.5)
		EndWhile
		Self.Dispel()
	ElseIf !npc.Is3DLoaded()
		Debug.Trace("EPIC! We found an actor without 3D loaded, but mass effect started, sending him to sleep!" + npc)
		GotoState("inactive")
	EndIf
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	GoToState("StartEvaluation")
EndEvent

Event OnObjectUnEquipped(Form akBaseObject, ObjectReference akReference)
	GoToState("StartEvaluation")
EndEvent

Event OnEffectFinish(actor Target, actor Caster)
	shutdown = True
	GotoState("")
	; clean up the mass, just to make sure we do not get supermassive NPCs
	Target.ModAV("mass",-massmod)
	If (ScriptVersion == 17300)
		Target.ModAV("speedmult",massmod*50)
	Else
		Target.ModAV("infamy",-penalty)
		Target.ModAV("speedmult",penalty*50)
	EndIf
EndEvent

State StartEvaluation

	Event OnObjectUnEquipped(Form akBaseObject, ObjectReference akReference)
	EndEvent
	
	Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	EndEvent

	Event OnUpdate()
		If !working && !shutdown
			UnregisterForUpdate()
			GoToState("EvaluateArmor")
		EndIf
	EndEvent
	
	Event OnBeginState()
		UnregisterForUpdate()
		RegisterForUpdate(1)
	EndEvent

EndState

State EvaluateArmor

	Event OnObjectUnEquipped(Form akBaseObject, ObjectReference akReference)
		GoToState("StartEvaluation")
	EndEvent
	
	Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
		GoToState("StartEvaluation")
	EndEvent
	
	Event OnBeginState()
		working = True
		AdjustMass()
		If ( GetState() == "EvaluateArmor" )
			GoToState("")
		EndIf
		working = False
	EndEvent
	
EndState

Function AdjustMass()
	Float Oldmass = npc.getAV("mass")
	Float OldSpeed = npc.getAV("speedmult")
	Armor[] slots = new Armor[32]
	Armor nextitem
	weapon armed
	Update_Ratios()
	Int i = 61
	Int type
	Int index = 0
	Float oldmassmod = massmod
	Float newmassmod = 0.0
	Float oldpenalty = penalty
	Float newpenalty = 0.0
	While i >= 30
		nextitem = npc.GetWornForm(Armor.GetMaskForSlot(i)) as Armor
		If nextitem != None && slots.rfind(nextitem,index) == -1 
			slots[index] = nextitem
			If nextitem.GetWeight() > 0.0
				type = nextitem.GetWeightClass()
				newmassmod += nextitem.GetWeight()
				If (type == 1)
					newpenalty += ratio_heavy * nextitem.GetWeight()
				Else
					newpenalty += ratio_light * nextitem.GetWeight()
				EndIf
			EndIf
			index += 1
		Endif
		i -= 1
	EndWhile
	armed = npc.GetEquippedWeapon(False)
	If (armed != None)
		type = npc.GetEquippedItemType(1)
		newmassmod += armed.GetWeight()
		If ((type >= 1 && type <= 4) || type == 8)
			newpenalty += ratio_onehanded * armed.GetWeight()
		ElseIf (type == 5 && type == 6)
			newpenalty += ratio_twohanded * armed.GetWeight()
		Else
			newpenalty += ratio_archery * armed.GetWeight()
		EndIf
	EndIf
	if (type < 5 || type == 8 || armed == None)
		armed = npc.GetEquippedWeapon(True)
		If (armed != None)
			type = npc.GetEquippedItemType(0)
			newmassmod += armed.GetWeight()
			If ((type >= 1 && type <= 4))
				newpenalty += ratio_onehanded * armed.GetWeight()
			ElseIf (type == 5 && type == 6)
				newpenalty += ratio_twohanded * armed.GetWeight()
			Else
				newpenalty += ratio_archery * armed.GetWeight()
			EndIf
		Endif
	Endif
	newmassmod /= 100.0
	newpenalty /= 100.0
	If !shutdown
		massmod = newmassmod
		penalty = newpenalty
		npc.ModAV("mass",massmod-oldmassmod)
		npc.ModAV("infamy",penalty-oldpenalty)
		npc.ModAV("speedmult",-(penalty-oldpenalty)*50)
	EndIf
EndFunction

Function Update_Ratios()
	Int count = 0
	ratio_light = 1.0
	While count < Data.Perks_light.Length
		ratio_light -= (npc.HasPerk(Data.Perks_light[count]) as Float) *Data. Factors_light[count]
		count += 1
	EndWhile
	count = 0
	ratio_heavy = 1.0
	While count < Data.Perks_heavy.Length
		ratio_heavy -= (npc.HasPerk(Data.Perks_heavy[count]) as Float) * Data.Factors_heavy[count]
		count += 1
	EndWhile
	count = 0
	ratio_onehanded = 1.0
	While count < Data.Perks_onehanded.Length
		ratio_onehanded -= (npc.HasPerk(Data.Perks_onehanded[count]) as Float) * Data.Factors_onehanded[count]
		count += 1
	EndWhile
	count = 0
	ratio_twohanded = 1.0
	While count < Data.Perks_twohanded.Length
		ratio_twohanded -= (npc.HasPerk(Data.Perks_twohanded[count]) as Float) * Data.Factors_twohanded[count]
		count += 1
	EndWhile
	count = 0
	ratio_archery = 1.0
	While count < Data.Perks_archery.Length
		ratio_archery -= (npc.HasPerk(Data.Perks_archery[count]) as Float) * Data.Factors_archery[count]
		count += 1
	EndWhile
EndFunction
